new;
/** set seed **/
/** random number generator used in optimization procedure **/
/* rndseed 1234; */
/********************************************************
* House cleaning and set defaults
********************************************************/
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

/** Global defaults **/
__output = 1;       /** 1 for verbose of CSMIN**/
__graph  = 1;       /** 1 for graph mode **/
_verbose = 2;       /** 0 for silence, 1 for compact, 2 for detailed**/
_fcmptol = 1E-10;

/** only the following 2 lines are model dependent **/
#include 1MSleadershipfmmod_counterfactual.src;
#include 1MSleadershipfmmod_counterfactual_credi.src;
#include spec.g;
#include dsgesel2.src;
#include pathspec.g;
#include matop.src;
#include MSleadership_lpdraw_counterfactual.src;

/********************************************************
* Import data series
********************************************************/
#include loaddata.g; 

theta_sim =
0.968	|
0.274	|
0.938	|
0.938	|
0.986	|
0.802	|
3.102	|
2	|
0.78	|
0.353	|
0.303	|
0.684	|
0.545	|
0.804	|
0.161	|
0.221	|
0.256	|
0.739	|
0.298	|
0.699	|
0.0447	|
0.9642	|
0.001	|
0.962	|
0.956	|
0.234	|
0.611	|
0	|
0.932	|
0.875	|
0.004	|
0.966	|
0.007	|
0.916	|
0.001	|
1.218	|
1.66	|
2.318	|
0.965	|
0.894	|
0	|
2.558	|
0.422	;


{infl_count} = drawpostss(theta_sim,YY,msel);
      
graphset;
x = seqa(1980,.25,41);  
_pdate = "";                   /* date is not printed */
_pltype = { 6, 2, 6, 5 };      /* dashed, dotted, solid lines */
_plegctl= { 2, 3, 1.7, 4.5 };  /* legend size and locations */
_plegstr= "Data \0"\     /* 4 lines legend text */
          "MC only \0"\
          "TF only \0"\
          "MC and TF ";

title("1970s Inflation Counterfactual");     /* main title */
xy(x,infl_count);           
          





  