new;
/** set seed **/
/** random number generator used in optimization procedure **/
/* rndseed 1234; */
/********************************************************
* House cleaning and set defaults
********************************************************/
library pgraph, user; 
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

/** Global defaults **/
__output = 1;       /** 1 for verbose of CSMIN**/
__graph  = 1;       /** 1 for graph mode **/
_verbose = 2;       /** 0 for silence, 1 for compact, 2 for detailed**/
_fcmptol = 1E-10;

/** only the following 2 lines are model dependent **/
#include 1MSleadershipfmmod_simulation.src;
#include 2MSleadershipfmlh.src;
#include 3MSleadershipfmpara.src;
#include spec.g;
#include dsgesel2.src;
#include pathspec.g;
#include matop.src;

#include MSleadership_lpdraw_smoothed_probabilities.src;
/********************************************************
* Import data series
********************************************************/
#include loaddata.g; 

theta_sim =
0.9688	|
0.2928	|
0.9278	|
0.9512	|
0.9876	|
0.7837	|
3.6734	|
2	|
0.7859	|
0.3159	|
0.3024	|
0.6862	|
0.6585	|
0.9148	|
0.1606	|
0.212	|
0.1915	|
0.6961	|
0.3789	|
0.6988	|
0.0495	|
0.9668	|
0.0006	|
0.9558	|
0.9676	|
0.2325	|
0.5945	|
0	|
0.93	|
0.8789	|
0.0036	|
0.9635	|
0.0052	|
0.9168	|
0.0019	|
1.2783	|
2.3338	|
2.2421	|
0.9718	|
0.8913	|
0	|
2.5459	|
0.3238	;


{SSdraw,SSregimes,probsT} = drawpostss(theta_sim,YY,msel);
      
ssT_draw_LC = SSregimes[.,3]+ SSregimes[.,4]+ SSregimes[.,7]+ SSregimes[.,8]+ SSregimes[.,11]+ SSregimes[.,12];
ssT_draw_OF = SSregimes[.,1]+ SSregimes[.,2]+ SSregimes[.,3]+ SSregimes[.,4];
ssT_draw_PF = SSregimes[.,5]+ SSregimes[.,6]+ SSregimes[.,7]+ SSregimes[.,8];
ssT_draw_AF = SSregimes[.,9]+ SSregimes[.,10]+ SSregimes[.,11]+ SSregimes[.,12];
ssT_draw_HV = SSregimes[.,2]+ SSregimes[.,4]+ SSregimes[.,6]+ SSregimes[.,8]+ SSregimes[.,10]+ SSregimes[.,12];



graphset;                     /* reset global variables */
begwind;
_paxht =  12;  
                            
window(5,1,0); 
x = seqa(1954.5,.25,217);          /* generate data */
 
setwind(1);    
title("Passive Fiscal"); 
bar(x,ssT_draw_PF); 

nextwind; 
title("Targeting Fiscal");   
bar(x,ssT_draw_OF); 

nextwind; 
title("Active Fiscal"); 
bar(x,ssT_draw_AF); 

nextwind; 
title("Less Conservative");    
bar(x,ssT_draw_LC); 

nextwind; 
title("High Volatility"); 
bar(x,ssT_draw_HV); 
endwind;  