/******************************************************************************
* LOADDATA.G
* reads time series data from ASCII data set into Gauss variable YY
*
* upadted:  05/31/2005
******************************************************************************/

if (datasel == 5) or (datasel == 6);          /** simulated data **/
   lsimdata  = datapath $+ "\\" $+ lmodel $+ "sim" $+ dataselstr;
   open fhsimdata = ^lsimdata for read;
   YY = readr(fhsimdata,Tsim[subT]);
   closeall fhsimdata;   
   
   ti = seqa(1,1,Tsim[subT]);
   
elseif (datasel == 7);

   load path = ^datapath YY[]= "m23sims7.txt";
   YY = reshape(YY,rows(YY)/3,3);
   YY = YY[501:500+Tsim[subT],.];
   ti = seqa(1,1,Tsim[subT]);

elseif (datasel == 8);

   load path = ^datapath YY[]= "m13sims8.txt";
   YY = reshape(YY,rows(YY)/3,3);
   YY = YY[501:500+Tsim[subT],.];
   ti = seqa(1,1,Tsim[subT]);

elseif (datasel == 3);   /** UK.TXT **/
    load path = ^datapath YY[]= "US54ratios.csv";
    YY = reshape(YY,rows(YY)/7,7);
    //YY = YY - meanc(YY)';
    ti = seqa(1961,0.25,rows(YY));

    /** pick sub samples **/
    if subT==1;             /** whole sample period**/
      YY = YY; 
    endif;

elseif (datasel == 1) or (datasel == 2);   /** US_EURO.TXT **/
    load path = ^datapath YY[]= "us_euro.txt";
    YY = reshape(YY,rows(YY)/7,7);
    ti = seqa(1983,0.25,rows(YY));

    /** Select country, trim the dataset **/
    if msel[1]==1;             /** US **/
       YY = YY[.,1:3];
    elseif msel[1]==2;         /** EURO **/
       YY = YY[.,4:6];
    endif;

    /** pick sub samples **/
    if subT==1;             /** post-1987:3 **/
       subT0 = maxindc(ti.>=1987.5);
       subT1 = rows(YY);
       YY    = YY[subT0:subT1,.];
       ti    = ti[subT0:subT1,.];
    endif;

endif;

/** non-demeaned vs demeaned **/
if msel[2]==2;      /** demeaned **/
   YY = YY - meanc(YY)';
endif;
