/********************************************************************
*  Model Specification and Global Setting
*
*  Last updated: 05/31/2005
********************************************************************/
dlibrary -a PszTgSen,PsdTgSen;

msel = zeros(2,1);

datasel = 3;
msel[1] = 1;
msel[2] = 4;
subT    = 1;
mprior  = 1;

/************************************************
*  MSEL[1]:
*   1 without measurement error
*   2 with measurement errors
************************************************/
lmodel = "m" $+ ftos(msel[1],"%*.*lf",1,0);

/************************************************
*  MSEL[2]:
*   1 benchmark, output growth rule
*   2 demeaned model
*   3 benchmark, output gap rule
*   4 LS model
************************************************/
lmodel = lmodel $+ ftos(msel[2],"%*.*lf",1,0);

/************************************************
*  DATASEL
*  US_EURO.TXT from Lubik and Schorfheide (2005)
*   1  for US from US_EURO.TXT
*   2  for EURO from US_EURO.TXT
*   3  for US data
*   5+ for simulated data
************************************************/
if datasel==1;
   dataselstr = "us";
elseif datasel==2;
   dataselstr = "eu";
elseif datasel==3;
   dataselstr = "us";
elseif datasel>4;
   dataselstr = "s" $+ ftos(datasel,"%*.*lf",1,0);
endif;

/************************************************
*  subT
*
*  for US_EURO.TXT data
*     0 for full sample
*     1 for post-1987:3
*
*  for simulated data
*     1 for 80 observations
*     2 for 200
*     3 for 1000
*     
*
************************************************/
if datasel > 4;
   Tsimtotal = 3000;
   Tsimburn  = 1000;
   Tsim = 80 | 200 | 1000;
endif;

subTstr = "t" $+ ftos(subT,"%*.*lf",1,0);


/************************************************
*  mprior
************************************************/
lprior = "p" $+ ftos(mprior,"%*.*lf",1,0);

/************************************************
*  ngrid: number of grids for density
************************************************/
ngrid = 100;

/************************************************
*  titlestr: titles used for various graphs
************************************************/
titlestr = "DelY" $|
           "Pi  " $|
           "R   " $|
           "tau " $|
           "g_y " $|
           "b_y "$|
           "tr_y ";
